package com.bocloud.cmp.provider.backup;

import com.bocloud.cmp.model.BackupModel;
import com.bocloud.cmp.model.BackupPolicyModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 公有云账单
 */

public interface BackupProvider extends SuperProvider {
    default BocloudResult list(BackupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult create(BackupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult remove(BackupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult modify(BackupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    // 查询备份策略列表
    default BocloudResult listBackupPolicy(BackupPolicyModel policyModel) {
        return new BocloudResult(false, "暂未开发！");
    }

    // 备份恢复
    default BocloudResult restore(BackupModel model) {
        return new BocloudResult(false, "暂未开发！");
    }
    
    default BocloudResult createPolicy(BackupPolicyModel policyModel) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult removePolicy(BackupPolicyModel policyModel) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult modifyPolicy(BackupPolicyModel policyModel) {
        return new BocloudResult(false, "暂未开发！");
    }
}
